#ifndef COMPLIB_SERVER_TCPSOCKETSERVER_HPP
#define COMPLIB_SERVER_TCPSOCKETSERVER_HPP

#include <thread>

#define SOCKET_PATH "/tmp/compLib"
#define SOCKET_BUFFER_SIZE 128

class TCPSocketServer {
public:
  TCPSocketServer();

private:
  [[noreturn]] void server_loop();

  std::thread server_thread;
};


#endif //COMPLIB_SERVER_TCPSOCKETSERVER_HPP
